## golang-gopkg-rethinkdb-rethinkdb-go.v6 6.2.1

=== Makefile ===
test:
	go test -coverprofile=cover.out -race gopkg.in/rethinkdb/rethinkdb-go.v6 gopkg.in/rethinkdb/rethinkdb-go.v6/encoding gopkg.in/rethinkdb/rethinkdb-go.v6/types
	go tool cover -html=cover.out -o cover.html
	rm -f cover.out

integration:
	go test -race gopkg.in/rethinkdb/rethinkdb-go.v6/internal/integration/...

benchpool:
	go test -v -cpu 1,2,4,8,16,24,32,64,128,256 -bench=BenchmarkConnectionPool -run ^$ ./internal/integration/tests/

=== debian/changelog ===
golang-gopkg-rethinkdb-rethinkdb-go.v6 (6.2.1-6) unstable; urgency=medium

  * Team upload.
  * Build against protoc-gen-go-1-5

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Aug 2025 18:10:27 -0400

golang-gopkg-rethinkdb-rethinkdb-go.v6 (6.2.1-5) unstable; urgency=medium

  * Team upload.
  * Fix protoc-gen-go invocation, Closes: #1110791
  * Bump Standards Version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 13 Aug 2025 05:21:17 -0400

golang-gopkg-rethinkdb-rethinkdb-go.v6 (6.2.1-4) unstable; urgency=medium

  * Team upload.
  * debian/control: force building against protobuf 1.5, Closes: #1110162

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Aug 2025 20:20:58 -0400

golang-gopkg-rethinkdb-rethinkdb-go.v6 (6.2.1-3) unstable; urgency=medium

  * Team upload.
  * compile against golang/protobuf@v1.3, allowing compilation against v1.5
  * Bump Standards Version, no changes needed
  * clean vendor tree, closes: #1044436

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Jun 2024 16:38:37 -0400

golang-gopkg-rethinkdb-rethinkdb-go.v6 (6.2.1-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 14 Jan 2022 21:50:56 +0530

golang-gopkg-rethinkdb-rethinkdb-go.v6 (6.2.1-1) unstable; urgency=medium

  [ Arnaud Rebillout, Nilesh Patra] 
  * Initial release (Closes: #1003718)

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 14 Jan 2022 15:07:20 +0530

=== debian/control ===
Source: golang-gopkg-rethinkdb-rethinkdb-go.v6
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arnaud Rebillout <arnaudr@kali.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-hailocab-go-hostpool-dev,
               golang-github-golang-protobuf-1-5-dev,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-check.v1-dev,
               protoc-gen-go-1-5
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-rethinkdb-rethinkdb-go.v6
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-rethinkdb-rethinkdb-go.v6.git
Homepage: https://github.com/rethinkdb/rethinkdb-go
XS-Go-Import-Path: gopkg.in/rethinkdb/rethinkdb-go.v6

Package: golang-gopkg-rethinkdb-rethinkdb-go.v6-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-hailocab-go-hostpool-dev,
         golang-github-golang-protobuf-1-5-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-check.v1-dev,
         ${misc:Depends}
Description: Go language driver for RethinkDB (library)
 This package provides native Golang driver for RethinkDB.
 .
 Please note that this version of the driver only supports versions of
 RethinkDB using the v0.4 protocol (any versions of the driver older than
 RethinkDB 2.0 will not work).

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_EXCLUDES := internal cursor_test.go mock_test.go

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_configure:
	cp -av debian/vendor ./

execute_after_dh_clean:
	rm -rfv vendor/
